Skip to main content
Settings/Observability Server Operations

GetObservabilityServerServiceData

GetObservabilityServerServiceData

POST/zstack/v1/observability-server/{observabilityServerUuid}/service-data

Operation ID

GetObservabilityServerServiceData

Since

5.3.28

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • observabilityServerUuid
    StringRequired

    Path parameter.

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • observabilityServerUuid
      StringRequired

      The observability server UUID.

    • serviceType
      StringRequired

      The service type.

    • serviceUuid
      StringRequired

      The service UUID.

    • limit
      Integer

      Optional.

    • startTime
      String

      Optional.

    • endTime
      String

      Optional.

    • sortDirection
      String

      Optional.

    • labelFilters
      Map

      Optional.

  • systemTags
    List

    Optional. The system tag.

  • userTags
    List

    Optional. The user tag.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • total
    IntegerRequired

    The total.

  • success
    booleanRequired

    Whether the operation succeeded.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    ListRequired

    See inventories

    • job
      StringRequired

      The job.

    • fileName
      StringRequired

      The file name.